package com.kirsanov.graphics;

//functions to return width and height (in pixels) of a specified
//image file

import java.awt.*;
import java.awt.image.ImageObserver;

public class getsize {

	static ImageObserver observer;
	static Image img;

	private static void init(String name) {
		Toolkit tk = Toolkit.getDefaultToolkit();
		img = tk.getImage(name);
		observer = new ImageObserver () {
			public boolean imageUpdate (Image img, int flags, int x, int y, int w, int h) {
				return (flags & (ALLBITS | ABORT)) == 0;
			}
		};
        try
        {
          MediaTracker imageTracker = new MediaTracker (new Frame ());
          imageTracker.addImage (img, 0);
          imageTracker.waitForID(0);
        }
        catch (Exception e)
        { }
	}

	public static int geth(String name) {
		init(name);
		return img.getHeight(observer);
	}

	public static int getw(String name) {
		init(name);
		return img.getWidth(observer);
	}

	public static void main (String args [])  {
		int height = geth(args[0]);
		System.out.println("Image " + args[0] + ": " + getw(args[0]) + "x" + geth(args[0]));
		System.exit(0);
	}
}
