package com.kirsanov.utils;

import java.lang.Math;
import java.util.Random;

public class RandomClass {

        static Random rand;

	public static int getRandom(int min, int max, int prev) {
		int delta = max - min;
                double d = Math.random();
                int r = (int) (d * delta) + min;
                while (r == prev) { 
                   d = Math.random();
                   r = (int) (d * delta) + min;
                }
		return r;
	}

	public static int getRandom(int min, int max) {
		int delta = max - min;
		double r = Math.random();
		return ((int) (r * delta)) + min;
	}

	public static void main(String[] args) {
		System.out.println(getRandom(500, 1000));
	}

	public static void seed(long seed) {
		rand = new Random(seed);
        }

	public static int getRandomSeed(int min, int max) {
		return((int) (rand.nextDouble() * (max - min)) + min);
	}
}
